/******************************************************************************
 * MODULE     : rohm_bh1780_i2c.h
 * FUNCTION   : BH1780 header of Ambient Light Sensor(ALS) IC
 * PROGRAMMED : Sensor Application Development Group, ROHM CO.,LTD.
 * AUTHOR     : Masafumi Seike <masafumi.seike@dsn.rohm.co.jp >
 * REMARKS    :
 * COPYRIGHT  : Copyright (C) 2011 - 2012 ROHM CO.,LTD.
 *****************************************************************************/
#ifndef _ROHM_BH1780_I2C_H_
#define _ROHM_BH1780_I2C_H_

#include "rohm_bh1780_i2c_if.h"

#define BH1780_DRIVER_VER ("1.0.3")
#define SM_TIME_UNIT      (1000)
#define MN_TIME_UNIT      (1000000)
#define MASK_CHAR         (0xFF)
#define CLR_LOW2BIT       (0xFC)
#define UNRELATEDNESS     (0xFF)

#ifdef _ALS_BIG_ENDIAN_
#define CONVERT_TO_BE(value) ((((value) >> 8) & 0xFF) | (((value) << 8) & 0xFF00))
#else
#define CONVERT_TO_BE(value) (value)
#endif

/************ define parameter for register ************/
/* REG_ALSCONTROL(0x80) */
#define CTL_STANDBY       (0)
#define CTL_STANDALONE    (3)

#endif /* _ROHM_BH1780_I2C_H_ */
